---
title: StylePropertyMapReadOnly.entries()
slug: Web/API/StylePropertyMapReadOnly/entries
tags:
  - API
  - CSS Typed Object Model API
  - Experimental
  - Houdini
  - Method
  - Reference
  - StylePropertyMapReadOnly
  - entries()
---
<p>{{APIRef("CSS Typed Object Model API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>StylePropertyMapReadOnly.entries()</code></strong> method returns an array of a given object's own enumerable property <code>[key, value]</code> pairs, in the same order as that provided by a {{jsxref("Statements/for...in", "for...in")}} loop (the difference being that a for-in loop enumerates properties in the prototype chain as well).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">StylePropertyMapReadOnly.entries()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>An array of the given <code>StylePropertyMapReadOnly</code> object's own enumerable property <code>[key, value]</code> pairs.</p>

<h2 id="Example">Example</h2>

<p>Here shows an example of using <code>StylePropertyMapReadOnly.entries()</code> method on an elements computed styles.</p>

<pre class="brush: js notranslate">// grab a dom element
const buttonEl = document.querySelector('button');

// we can retrieve all computed styles with `computedStyleMap`
const allComputedStyles = buttonEl.computedStyleMap();

// entries returns an iterable of the items
const iterableStyles = allComputedStyles.entries();

// returns a two item array with align-content as the first item and CSSStyleValue as the second
console.log(iterableStyles.next().value);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#the-stylepropertymap','entries()')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.StylePropertyMapReadOnly.entries")}}</p>
